Loading...
Searching...
No Matches
itk::ImageRandomSamplerBase< TInputImage > Class Template Reference
Components » ImageSamplers

`#include <itkImageRandomSamplerBase.h>`

## Detailed Description

template<class TInputImage>
class itk::ImageRandomSamplerBase< TInputImage >

This class is a base class for any image sampler that randomly picks samples.

It adds the Set/GetNumberOfSamples function.

Definition at line 38 of file itkImageRandomSamplerBase.h.

Inheritance diagram for itk::ImageRandomSamplerBase< TInputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | ImageSampleContainerPointer
using | ImageSampleContainerType
using | ImageSampleType
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | MaskType
using | Pointer = SmartPointer<Self>
using | SeedIntegerType = Statistics::MersenneTwisterRandomVariateGenerator::IntegerType
using | Self = ImageRandomSamplerBase
using | Superclass = ImageSamplerBase<TInputImage>
Public Types inherited from itk::ImageSamplerBase< TInputImage >
using | ConstPointer = SmartPointer<const Self>
using | ImageSampleContainerPointer = typename ImageSampleContainerType::Pointer
using | ImageSampleContainerType = VectorDataContainer<std::vcl_size_t, ImageSampleType>
using | ImageSampleType = ImageSample<InputImageType>
using | ImageSampleValueType = typename ImageSampleType::RealType
using | InputImageConstPointer = typename InputImageType::ConstPointer
using | InputImageIndexType = typename InputImageType::IndexType
using | InputImagePixelType = typename InputImageType::PixelType
using | InputImagePointer = typename InputImageType::Pointer
using | InputImagePointType = typename InputImageType::PointType
using | InputImagePointValueType = typename InputImagePointType::ValueType
using | InputImageRegionType = typename InputImageType::RegionType
using | InputImageRegionVectorType = std::vector<InputImageRegionType>
using | InputImageSizeType = typename InputImageType::SizeType
using | InputImageType = TInputImage
using | MaskConstPointer = typename MaskType::ConstPointer
using | MaskPointer = typename MaskType::Pointer
using | MaskType = ImageMaskSpatialObject<Self::InputImageDimension>
using | MaskVectorType = std::vector<MaskConstPointer>
using | OutputVectorContainerPointer
using | OutputVectorContainerType
using | Pointer = SmartPointer<Self>
using | Self = ImageSamplerBase
using | Superclass = VectorContainerSource<VectorDataContainer<std::vcl_size_t, ImageSample<TInputImage>>>
Public Types inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
using | ConstPointer
using | OutputVectorContainerPointer
using | OutputVectorContainerType
using | Pointer
using | Self
using | Superclass

## Public Member Functions

virtual const char * | GetClassName () const
std::optional< SeedIntegerType > | GetOptionalSeed () const
| ITK_DISALLOW_COPY_AND_MOVE (ImageRandomSamplerBase)
| itkStaticConstMacro (InputImageDimension, unsigned int, Superclass::InputImageDimension)
void | SetOptionalSeed (const std::optional< SeedIntegerType > arg)
void | SetSeed (const SeedIntegerType arg)
Public Member Functions inherited from itk::ImageSamplerBase< TInputImage >
virtual const InputImageRegionType & | GetCroppedInputImageRegion ()
const InputImageType * | GetInput ()
const InputImageType * | GetInput (unsigned int idx)
virtual const InputImageRegionType & | GetInputImageRegion () const
virtual const InputImageRegionType & | GetInputImageRegion (unsigned int pos) const
virtual const MaskType * | GetMask () const
virtual const MaskType * | GetMask (unsigned int pos) const
virtual unsigned int | GetNumberOfInputImageRegions () const
virtual unsigned int | GetNumberOfMasks () const
virtual unsigned long | GetNumberOfSamples () const
OutputVectorContainerType * | GetOutput ()
| ITK_DISALLOW_COPY_AND_MOVE (ImageSamplerBase)
| itkStaticConstMacro (InputImageDimension, unsigned int, InputImageType::ImageDimension)
DataObject::Pointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override
virtual bool | SelectingNewSamplesOnUpdateSupported () const
virtual bool | SelectNewSamplesOnUpdate ()
void | SetInput (const InputImageType *input)
void | SetInput (unsigned int idx, const InputImageType *input)
virtual void | SetInputImageRegion (const InputImageRegionType _arg)
virtual void | SetInputImageRegion (const InputImageRegionType _arg, unsigned int pos)
virtual void | SetMask (const MaskType *_arg)
virtual void | SetMask (const MaskType *_arg, unsigned int pos)
virtual void | SetNumberOfInputImageRegions (const unsigned int _arg)
virtual void | SetNumberOfMasks (const unsigned int _arg)
virtual void | SetNumberOfSamples (unsigned long _arg)
virtual void | SetUseMultiThread (bool _arg)
Public Member Functions inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
OutputVectorContainerType * | GetOutput ()
OutputVectorContainerType * | GetOutput (unsigned int idx)
virtual void | GraftNthOutput (unsigned int idx, DataObject *output)
virtual void | GraftOutput (DataObject *output)
| ITK_DISALLOW_COPY_AND_MOVE (VectorContainerSource)
DataObjectPointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::ImageSamplerBase< TInputImage >
static Pointer | New ()
Static Public Member Functions inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
static Pointer | New ()

## Protected Member Functions

void | GenerateRandomNumberList ()
| ImageRandomSamplerBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~ImageRandomSamplerBase () override=default
Protected Member Functions inherited from itk::ImageSamplerBase< TInputImage >
virtual bool | CheckInputImageRegions ()
void | CropInputImageRegion ()
void | GenerateInputRequestedRegion () override
| ImageSamplerBase ()
virtual bool | IsInsideAllMasks (const InputImagePointType &point) const
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | UpdateAllMasks ()
| ~ImageSamplerBase () override=default
Protected Member Functions inherited from itk::VectorContainerSource< VectorDataContainer< std::vcl_size_t, ImageSample< TInputImage > > >
void | PrintSelf (std::ostream &os, Indent indent) const override
| VectorContainerSource ()
| ~VectorContainerSource () override=default

## Protected Attributes

std::vector< double > | m_RandomNumberList {}
Protected Attributes inherited from itk::ImageSamplerBase< TInputImage >
unsigned long | m_NumberOfSamples { 0 }
bool | m_UseMultiThread { true }

## Private Attributes

std::optional< SeedIntegerType > | m_OptionalSeed {}

## Additional Inherited Members

Static Protected Member Functions inherited from itk::ImageSamplerBase< TInputImage >
static std::vector< InputImageRegionType > | SplitRegion (const InputImageRegionType &inputRegion, const vcl_size_t requestedNumberOfSubregions)

## Member Typedef Documentation

## ConstPointer

template<class TInputImage>

using itk::ImageRandomSamplerBase< TInputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 47 of file itkImageRandomSamplerBase.h.

## ImageSampleContainerPointer

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::ImageSampleContainerPointer

Definition at line 78 of file itkImageSamplerBase.h.

## ImageSampleContainerType

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::ImageSampleContainerType

Definition at line 77 of file itkImageSamplerBase.h.

## ImageSampleType

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::ImageSampleType

Other typdefs.

Definition at line 76 of file itkImageSamplerBase.h.

## InputImageConstPointer

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::InputImageConstPointer

Definition at line 68 of file itkImageSamplerBase.h.

## InputImagePixelType

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::InputImagePixelType

Definition at line 70 of file itkImageSamplerBase.h.

## InputImagePointer

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::InputImagePointer

Definition at line 67 of file itkImageSamplerBase.h.

## InputImageRegionType

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::InputImageRegionType

Definition at line 69 of file itkImageSamplerBase.h.

## InputImageType

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::InputImageType

Some Image related typedefs.

Definition at line 66 of file itkImageSamplerBase.h.

## MaskType

template<class TInputImage>

using itk::ImageSamplerBase< TInputImage >::MaskType

Definition at line 84 of file itkImageSamplerBase.h.

## Pointer

template<class TInputImage>

using itk::ImageRandomSamplerBase< TInputImage >::Pointer = SmartPointer<Self>

Definition at line 46 of file itkImageRandomSamplerBase.h.

## SeedIntegerType

template<class TInputImage>

using itk::ImageRandomSamplerBase< TInputImage >::SeedIntegerType = Statistics::MersenneTwisterRandomVariateGenerator::IntegerType

Definition at line 69 of file itkImageRandomSamplerBase.h.

## Self

template<class TInputImage>

using itk::ImageRandomSamplerBase< TInputImage >::Self = ImageRandomSamplerBase

Standard ITK-stuff.

Definition at line 44 of file itkImageRandomSamplerBase.h.

## Superclass

template<class TInputImage>

using itk::ImageRandomSamplerBase< TInputImage >::Superclass = ImageSamplerBase<TInputImage>

Definition at line 45 of file itkImageRandomSamplerBase.h.

## Constructor & Destructor Documentation

## ImageRandomSamplerBase()

template<class TInputImage>

itk::ImageRandomSamplerBase< TInputImage >::ImageRandomSamplerBase | ( |  | ) |

protected

The constructor.

## ~ImageRandomSamplerBase()

template<class TInputImage>

itk::ImageRandomSamplerBase< TInputImage >::~ImageRandomSamplerBase | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## GenerateRandomNumberList()

template<class TInputImage>

void itk::ImageRandomSamplerBase< TInputImage >::GenerateRandomNumberList | ( |  | ) |

protected

Generates the list of random numbers.

## GetClassName()

template<class TInputImage>

virtual const char * itk::ImageRandomSamplerBase< TInputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::ImageSamplerBase< TInputImage >.

Reimplemented in elastix::MultiInputRandomCoordinateSampler< TElastix >, elastix::RandomCoordinateSampler< TElastix >, elastix::RandomSampler< TElastix >, elastix::RandomSamplerSparseMask< TElastix >, itk::ImageRandomCoordinateSampler< TInputImage >, itk::ImageRandomCoordinateSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomCoordinateSampler< FixedImageType >, itk::ImageRandomCoordinateSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSampler< TInputImage >, itk::ImageRandomSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSampler< FixedImageType >, itk::ImageRandomSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSamplerSparseMask< TInputImage >, itk::ImageRandomSamplerSparseMask< elx::ImageSamplerBase< TElastix >::InputImageType >, itk::ImageRandomSamplerSparseMask< typename elx::ImageSamplerBase< TElastix >::InputImageType >, itk::MultiInputImageRandomCoordinateSampler< TInputImage >, itk::MultiInputImageRandomCoordinateSampler< elx::ImageSamplerBase< TElastix >::InputImageType >, and itk::MultiInputImageRandomCoordinateSampler< typename elx::ImageSamplerBase< TElastix >::InputImageType >.

## GetOptionalSeed()

template<class TInputImage>

std::optional< SeedIntegerType > itk::ImageRandomSamplerBase< TInputImage >::GetOptionalSeed | ( |  | ) | const

inline nodiscard

Retrieves the optional user specified randomization seed.

Definition at line 92 of file itkImageRandomSamplerBase.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageRandomSamplerBase< TInputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | ImageRandomSamplerBase< TInputImage > |  | ) |

## itkStaticConstMacro()

template<class TInputImage>

itk::ImageRandomSamplerBase< TInputImage >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | Superclass::InputImageDimension | )

The input image dimension.

## New()

template<class TInputImage>

Pointer itk::ImageRandomSamplerBase< TInputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<class TInputImage>

void itk::ImageRandomSamplerBase< TInputImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetOptionalSeed()

template<class TInputImage>

void itk::ImageRandomSamplerBase< TInputImage >::SetOptionalSeed | ( | const std::optional< SeedIntegerType > | arg | ) |

inline

Allows setting the randomization seed. Optional: when the argument does not have a seed value, an arbitrary seed may be used for randomization (which is the default behavior).

Definition at line 74 of file itkImageRandomSamplerBase.h.

## SetSeed()

template<class TInputImage>

void itk::ImageRandomSamplerBase< TInputImage >::SetSeed | ( | const SeedIntegerType | arg | ) |

inline

Sets the randomization seed as specified.

Definition at line 85 of file itkImageRandomSamplerBase.h.

## Field Documentation

## m_OptionalSeed

template<class TInputImage>

std::optional<SeedIntegerType> itk::ImageRandomSamplerBase< TInputImage >::m_OptionalSeed {}

private

Definition at line 119 of file itkImageRandomSamplerBase.h.

## m_RandomNumberList

template<class TInputImage>

std::vector<double> itk::ImageRandomSamplerBase< TInputImage >::m_RandomNumberList {}

protected

Member variable used when threading.

Definition at line 116 of file itkImageRandomSamplerBase.h.

Generated on 1768596610 for elastix by 1.15.0 |